Pesquisa resultou em 414 ocorrências

por ederson
Sáb 09 Mai 2009 12:18:49 am
Fórum: AutoLISP
Tópico: inserção de blocos
Respostas: 9
Exibições: 1916

Aragon, o codigo que postei esta quase pronto para sua necessidade. Diga-me ate onde vc o compreende, se sabe como carrega-lo na memoria do CAD, etc. Apenas a linha de saida precisa ser modificada. Outras melhorias precisam ser feitas, mas nao neste momento. Por enquanto, va estudando a linha (vl-cm...
por ederson
Qui 07 Mai 2009 4:37:50 pm
Fórum: Dúvidas
Tópico: Lista de impressoras
Respostas: 6
Exibições: 1071

Marcos, faltando 30 min para o final so segundo tempo... Acho que consegui obter os formatos disponíveis (para a impressora salva no previus plot). [lsp](defun c:printers_2 (/ nome_layout lst_printers) (vl-load-com) (vlax-for nome_layout (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object...
por ederson
Qui 07 Mai 2009 4:10:22 pm
Fórum: Dúvidas
Tópico: Lista de impressoras
Respostas: 6
Exibições: 1071

Marcos, um pouco antigo este tópico, mas consegui uma solução sem o dos_lib. Até então, estava usando o dos_lib. Precisa melhorar... Na verdade, agora eu desejo obter os formatos (A4, A#, etc) disponíveis dentro de cada impressora. Se puder ajudar... [lsp](defun c:printers (/ nome_layout lst_printer...
por ederson
Qui 07 Mai 2009 10:55:06 am
Fórum: AutoLISP
Tópico: inserção de blocos
Respostas: 9
Exibições: 1916

Sim, acione o comando "insert" da forma como estiver acostumado... Aí, MANHTENHA SHIFT PRESSIONADO, e clique no botão direito mouse. Surgirá um menu onde há opção "mid between 2 points" (ou, o meio entre dois pontos). Neste momento, vc já poderá soltar a tecla Shift. Se este menu...
por ederson
Ter 05 Mai 2009 10:55:01 pm
Fórum: AutoLISP
Tópico: inserção de blocos
Respostas: 9
Exibições: 1916

Mantenha shift pressionado, clique com o direito do mouse e selecione "mid between two points".

Veja se é isso?
por ederson
Qui 30 Abr 2009 4:06:14 pm
Fórum: Dúvidas
Tópico: Menu window
Respostas: 2
Exibições: 730

É isso aí Dr Lau... Tenho vários desenhos abertos e desejo navegar por eles sem ter que clicar em window... Consegui listar os menus disponíveis, mas ainda não consegui entrar nos submenus e mudar suas propriedades, se é que aquelas que desejo estão disponíveis. De repente até tem variável para isso...
por ederson
Qui 30 Abr 2009 11:44:25 am
Fórum: Dúvidas
Tópico: Menu window
Respostas: 2
Exibições: 730

Menu window

Nobres, é possível via autolisp, msmo com activex, ativar uma janela de um arquivo aberto. Imagine que eu esteja com vários desenhos abertos. O que desejo é ativar uma outra janela com um outro arquivo. Como ir em "window" e clicar num arquivo qualquer disponível no rodapé do menu.

Ederson
por ederson
Qua 29 Abr 2009 11:09:20 am
Fórum: Dúvidas
Tópico: Calculo de Dias
Respostas: 2
Exibições: 725

[lsp](setq agora (rtos (getvar "cdate") 2 6))[/lsp]
Esta linha retorna o ano, mes, dia, hora, minuto e segundo atuais. Talvez ela lhe ajude com os dias corridos.
por ederson
Qua 29 Abr 2009 10:59:06 am
Fórum: Dúvidas
Tópico: mode_tile e ok_cancel_help
Respostas: 5
Exibições: 1134

Serviu igual "dedo no nariz"...

Falouuuu!!
por ederson
Sex 24 Abr 2009 8:59:13 pm
Fórum: Dúvidas
Tópico: mode_tile e ok_cancel_help
Respostas: 5
Exibições: 1134

Boa noite senhores... Obrigado pelas dicas! Ja havia resolvido, porém tive que criar um botão "OK". O que desejava era trabalhar com o "ok_cancel_help" defualt que já vêm pronto e dispensa outras manobras adicionais. Mas com eles não obtive sucesso.

Até!